### Method

# Gtk TreeView set_tooltip_column

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_tooltip_column (
      GtkTreeView* tree_view,
      int column
    )

#### Description [src]

If you only plan to have simple (text-only) tooltips on full rows, you can use this function to have `GtkTreeView` handle these automatically for you. `column` should be set to the column in `tree_view`’s model containing the tooltip texts, or -1 to disable this feature.

When enabled, `GtkWidget:has-tooltip` will be set to `TRUE` and `tree_view` will connect a `GtkWidget::query-tooltip` signal handler.

Note that the signal handler sets the text with gtk_tooltip_set_markup(), so &, <, etc have to be escaped in the text.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

Sets property | `Gtk.TreeView:tooltip-column`

#### Parameters

`column`

  Type: `int`

  An integer, which is a valid column number for `tree_view`’s model.